RANLIB(1)

NAME
ranlib - convert archives to random libraries

SYNOPSIS
ranlib [ -t ] archive...

DESCRIPTION
ranlib converts each archive to a form that can be linked more rapidly. ranlib does this by adding a table of contents called __.SYMDEF to the beginning of the archive. ranlib uses ar(1V) to reconstruct the archive. Sufficient temporary file space must be available in the file system that contains the current directory.

OPTIONS

-t  ranlib only “touches” the archives and does not modify them. This is useful after copying an archive or using the -t option of make(1) to avoid having ld(1) complain about an “out of date” symbol table.

SEE ALSO
ar(1V), ld(1), lorder(1), make(1)

BUGS

Because generation of a library by ar and randomization of the library by ranlib are separate processes, phase errors are possible. The linker, ld, warns when the modification date of a library is more recent than the creation date of its dictionary; but this means that you get the warning even if you only copy the library.